Bug 36049 - Add AD member mode to system setup: Implement checks
Add AD member mode to system setup: Implement checks
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: System setup
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Dirk Wiesenthal
Stefan Gohmann
: interim-3
Depends on:
Blocks: 35653 36110
  Show dependency treegraph
 
Reported: 2014-10-06 11:22 CEST by Dirk Wiesenthal
Modified: 2014-11-26 06:54 CET (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2014-10-06 11:22:46 CEST
We need sanity checks and error messages for:

 * Given DNS server is no AD DC when AD member mode is selected
 * AD username/password is incorrect when AD member mode is selected
 * Given DNS server is no UCS DC when UCS member mode is selected
 * UCS username/password is incorrect when UCS member mode is selected

Checks should be implemented upon "Next" on "Select role" or "Give credentials".

+++ This bug was initially created as a clone of Bug #35653 +++

It should be possible to configure the AD member mode in the initial system setup wizard during the installation.
Comment 1 Dirk Wiesenthal univentionstaff 2014-10-17 15:26:11 CEST
Checks have been implemented
Comment 2 Stefan Gohmann univentionstaff 2014-11-04 08:58:39 CET
(In reply to Dirk Wiesenthal from comment #0)
> We need sanity checks and error messages for:
> 
>  * Given DNS server is no AD DC when AD member mode is selected

OK 

>  * AD username/password is incorrect when AD member mode is selected

OK

>  * Given DNS server is no UCS DC when UCS member mode is selected

OK

>  * UCS username/password is incorrect when UCS member mode is selected

OK
Comment 3 Stefan Gohmann univentionstaff 2014-11-26 06:54:09 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".